Bug 76977 - ypserv:: refused connect from x.x.x.x:p to procedure ypproc_match
ypserv:: refused connect from x.x.x.x:p to procedure ypproc_match
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-30 10:09 EST by Pedro Rodrigues
Modified: 2015-01-07 19:01 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Rodrigues 2002-10-30 10:09:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1) Gecko/20020826

Description of problem:
After upgrading ypserv to ypserv-2.5-2.7x i started getting error messages in
the server like these:

Oct 30 16:00:00 bugs ypserv[5080]: refused connect from 192.168.2.20:762 to
procedure ypproc_match

The client workstations seem to work the same, and let us login and do ypcat
passwd commands without a hitch.


Version-Release number of selected component (if applicable):
ypserv-2.5-2.7x

How reproducible:
Always

Steps to Reproduce:
1. login to workstation
2.
3.
	

Additional info:

The workstations are SGI irix machines running Irix 6.5.14.
The /var/yp/securenets of the server was rechecked and is fine., as the
/etc/hosts.allow and /etc/hosts.deny file. I get those errors if i telnet and
login to the workstations. It is not a dns problem, all workstations names are
resolved fine, and the reverse dns is also fine.
Comment 1 Alexander Larsson 2002-11-05 06:17:52 EST
I wonder what it's trying to match that doesn't work. 
Can you try running "ypserv -d" and attach the output from when a client logs in
here.
Comment 2 Jeremy Sanders 2002-11-17 16:36:59 EST
We're also seeing these messages here with a set of linux clients. Messages look
like:

Nov 17 21:32:37 xserv1 rpc.mountd: authenticated mount request from
xpc1.ast.cam.ac.uk:1003 for /soft3/home/enrico (/soft3)
Nov 17 21:32:38 xserv1 ypserv[983]: refused connect from 131.111.68.53:33162 to
procedure ypproc_match
Nov 17 21:32:53 xserv1 last message repeated 8 times
Nov 17 21:33:32 xserv1 ypserv[983]: refused connect from 131.111.70.32:898 to
procedure ypproc_match

They seem to be matching automounter requests. We could try running ypserv -d,
but I assume that might break our cluster, so we have to wait until it is quiet
enough to do so.

For some reason the ports being used are sometimes >1024, and sometimes <1024.
xfr_check_port is set to yes, but I don't know whether that makes any difference.
Comment 3 Jeremy Sanders 2002-11-17 16:49:00 EST
Another quick comment:

Doing a ypmatch for a map which doesn't exist, e.g. home (rather that
auto.home), reproducably puts this message into the server log:
eg> ypmatch user home
Comment 4 Alexander Larsson 2002-11-18 06:06:27 EST
So, maybe some client automounter is configured wrong?
Comment 5 Pedro Rodrigues 2002-11-18 09:11:14 EST
I have now run ypserv in debug mode. This is the output of a telnet attempt to a
client machine and login as root:

ypproc_match(): [From: 192.168.2.67:762]
                domainname = "trollhattan"
                mapname = "group.bymember"
                keydat = "root"
        ypdb_open("trollhattan", "group.bymember")
gdbm_open: GDBM Error Code #3
connect from 192.168.2.67
        -> Ignored (not a valid map name)
ypproc_all_2_svc(): [From: 192.168.2.67:793]
                domain = "trollhattan"
                map = "group.byname"
        ypdb_open("trollhattan", "group.byname")
Found: trollhattan/group.byname (1)
ypdb_close() called
connect from 192.168.2.67
        ypdb_open("trollhattan", "group.byname")
Found: trollhattan/group.byname (1)
         -> First value returned.
ypdb_close() called


This same telnet results in the following message in the server if the debug
mode for ypserv is off:

Nov 18 15:13:01 bugs ypserv[8461]: refused connect from 192.168.2.67:762 to
procedure ypproc_match



/Pedro
Comment 6 Pedro Rodrigues 2002-11-18 09:14:42 EST
   Regarding the possibility of the culprit being automounter, that was my
suspect for the beginning all along. SGI Irix machines run both autofs and
automounter by default, but before starting this bug thread, i chkconfig'ed them
off and killed the processes. At least in my case that is not it. 


/Pedro
Comment 7 Dennixx 2002-12-02 11:35:55 EST
I see the exact same problem here, after just having installed RedHat Linux 7.3
with latest updates.

I've been monitoring with tcpdump and found that the message is created by a
specific packet:

in /var/log/messages:
Dec  2 17:17:44 ecniks ypserv[5835]: refused connect from <src>:867 to procedure
ypproc_match 

and tcpdump says:
17:17:44.393537 <src>.867 > <dst>.925:  udp 104 (DF)
17:17:44.393635 <dst>.925 > <src>.867:  udp 32 (DF)

I've checked, and EVERY time a package with '104' ( i guess that's the size? )
arrives, a message is written into the logfile. Don't know if this is helpfull,
but we get a LOT of messages this way ( about 40/50 per minute or so... )
Comment 8 Alexander Larsson 2002-12-03 05:15:03 EST
Something is trying to get the map called "group.bymember". We don't set up that
map, and never have, so I wonder why this suddenly appeared.

From some quick googling this looks like some sort of IRIX extension.
Comment 9 Dennixx 2002-12-03 06:58:36 EST
My problem is solved!

I found out that all linux clients were calling for the map
services.byservicename, which isn't served by our NIS master service, a Tru64
UNIX system (just the map services.byname instead).

After manipulating this NIS master system to serve the services.byname map as
services.byservicename too, all errors went away!
Comment 10 Pedro Rodrigues 2002-12-03 07:28:58 EST
What worked for voetelink@ecn.nl doesn't work for me. It seems to be an issue
with nis clients requesting maps not available in the server. In the Sgi Irix
case, the map being requested is group.bymember, and this seems to be a Irix'ism
that was ignored before. There are probably two paths to follow now: One, why
does the new ypserv gets bothered with these requests and didn't before? Fix
this. Two, create the group.bymember map, per the following description

"The `group.bymember' map maps user names to a listof groupids which that user
is in. The key is a user name, and the content is that username, a colon, and
then a comma separated list of group ids of groups that the user is in. "

This is best left to someone knowledgeable.


/Pedro
Comment 11 Pat Hennessy 2002-12-04 18:49:03 EST
I had the same error message and my solution was like voetelink@ecn.nl's.  Our
nis server isn't Linux and doesn't have a shadow map.  Somehow
/etc/nsswitch.conf had shadow set to look for files, then nis.  This cause the
same error because the map didn't exist.  

I thought that I had edited the /etc/nsswitch.conf file properly, but I am
wondering if it got replaced when running "up2date -u" one day.
Comment 12 Alexander Larsson 2002-12-05 03:50:51 EST
Concerning `group.bymember' it seems that implementations that use it implement
a fallback such that if the lookup fail they query the other maps and build up
the reverse mapping.

I assume that the warning was added in a later version of ypserv because someone
thought is was useful. (And it clearly is, since some other people here found
out some setup issues due to this.)

So, the best way to solve this would probably be to add group.bymember
generation to the Makefiles. Unfortunately I don't really have the time to do
that at the moment, and neither do I know that code very well.

I would recommend that anyone that need group.bymember functionallity ask about
it upstream. http://www.linux-nis.org/nis/ypserv/index.html is the ypserv
upstream homepage.
Comment 13 Boris Vinarsky 2003-03-02 16:11:37 EST
I had the same symptoms after the NIS server upgrade. The messages were the 
least of the prolem: the HP-UX clients stopped working. I traced the problem to 
the broken functionality of ypserv, see my bug report #85262 against ypserv.

Does anybody from Red Hat read these reports? My report was there for a few 
days, and is still brand new.
Comment 14 Bill Nottingham 2006-08-05 01:02:41 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 15 Bill Nottingham 2006-10-18 12:45:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.